MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024545Open CASCADE[OCCT] OCCT:Codingpublic2014-01-21 11:362014-11-11 12:51
Reporterdln 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024545: Convertation of the generic classes to the non-generic (XmlObjMgt)
DescriptionIn the package "XmlObjMgt" class "XmlObjMgt_Array1" was converted to the non-generic.
And some changes were made in "XmlNaming" package for correct compilation of the application.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0027571)
dln (developer)
2014-01-21 11:47

Changes are ready for review in CR24545 branch.
(0027576)
abv (manager)
2014-01-21 16:02

No remarks, please test
(0027583)
mkv (tester)
2014-01-22 09:21

Dear BugMaster,

Branch CR24545 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
There are compilation errors on Linux and Windows platforms:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24545/job/mnt-CR24545-master_build_occt_linux/1/parsed_console/? [^]
...
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:21:33: error: XmlMNaming_Array1.hxx: No such file or directory
...

../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:106: error: ‘XmlMNaming_Array1’ does not name a type
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:107: error: ‘XmlMNaming_Array1’ does not name a type
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:108: error: ‘NewPShapes’ was not declared in this scope
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:108: error: ‘OldPShapes’ was not declared in this scope
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:115: error: ‘NewPShapes’ was not declared in this scope
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:116: error: ‘OldPShapes’ was not declared in this scope
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:119: error: ‘OldPShapes’ was not declared in this scope
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:124: error: ‘OldPShapes’ was not declared in this scope
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx: In member function ‘virtual void XmlMNaming_NamedShapeDriver::Paste(const Handle_TDF_Attribute&, XmlObjMgt_Persistent&, XmlObjMgt_SRelocationTable&) const’:
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:201: error: ‘XmlMNaming_Array1’ was not declared in this scope
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:201: error: expected ‘;’ before ‘OldPShapes’
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:203: error: ‘OldPShapes’ was not declared in this scope
../../../../src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx:204: error: ‘NewPShapes’ was not declared in this scope
make[2]: *** [XmlMNaming_NamedShapeDriver.lo] Error 1
(0027586)
dln (developer)
2014-01-22 10:39

Sorry. Test again CR24545 please, now all is ok.
(0027621)
mkv (tester)
2014-01-23 09:41

Dear BugMaster,

Branch CR24545 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 6735fc9a1052c81c7b6b65dad9c77385e5fedae8

Number of compiler warnings:

occt component :
Linux: 48 (48 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 371659496 / 373350776
Total CPU difference: 45163.3000000002 / 44037.36000000017

Testing on Windows:
Total MEMORY difference: 417758020 / 417426984
Total CPU difference: 33165.328125 / 32472.5

There are not differences in images found by testdiff.

- Related Changesets
occt: master 3804f298
Timestamp: 2014-01-21 11:59:23
Author: dln
Committer: bugmaster
Details ] Diff ]
0024545: Convertation of the generic classes to the non-generic (XmlObjMgt).
In the package "XmlObjMgt" class "XmlObjMgt_Array1" was converted to the non-generic.
And some changes were made in "XmlNaming" package for correct compilation of the application.
mod - src/XmlMNaming/XmlMNaming.cdl Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx Diff ] File ]
mod - src/XmlObjMgt/XmlObjMgt.cdl Diff ] File ]
mod - src/XmlObjMgt/XmlObjMgt_Array1.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-21 11:36 dln New Issue
2014-01-21 11:36 dln Assigned To => abv
2014-01-21 11:37 dln Relationship added child of 0024487
2014-01-21 11:47 dln Note Added: 0027571
2014-01-21 14:57 dln Status new => resolved
2014-01-21 16:02 abv Note Added: 0027576
2014-01-21 16:02 abv Assigned To abv => bugmaster
2014-01-21 16:02 abv Status resolved => reviewed
2014-01-22 07:21 mkv Assigned To bugmaster => mkv
2014-01-22 09:21 mkv Note Added: 0027583
2014-01-22 09:22 mkv Test case number => Not needed
2014-01-22 09:22 mkv Assigned To mkv => dln
2014-01-22 09:22 mkv Status reviewed => assigned
2014-01-22 10:39 dln Note Added: 0027586
2014-01-22 10:39 dln Assigned To dln => abv
2014-01-22 10:39 dln Status assigned => resolved
2014-01-22 10:40 dln Assigned To abv => mkv
2014-01-22 10:40 dln Status resolved => reviewed
2014-01-23 09:41 mkv Note Added: 0027621
2014-01-23 09:41 mkv Assigned To mkv => bugmaster
2014-01-23 09:41 mkv Status reviewed => tested
2014-01-24 15:35 bugmaster Changeset attached => occt master 3804f298
2014-01-24 15:35 bugmaster Status tested => verified
2014-01-24 15:35 bugmaster Resolution open => fixed
2014-04-04 12:36 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker